io.vertx.ext.auth.oauth2.providers

## Interface GitLabAuth

-     public interface GitLabAuth

  Simplified factory to create an `OAuth2Auth` for GitLab.com. https://gitlab.com/help/api/oauth2.md

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for GitLab.com.
    `static OAuth2Auth` | `create(Vertx vertx, String site, String clientId, String clientSecret)` Create a OAuth2Auth provider for GitLab.
    `static OAuth2Auth` | `create(Vertx vertx, String site, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for GitLab.

- - ### Method Detail

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   String clientId,
                                   String clientSecret)

      Create a OAuth2Auth provider for GitLab.com.
      Parameters:
        `clientId` - the client id given to you by GitLab
        `clientSecret` - the client secret given to you by GitLab

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   String site,
                                   String clientId,
                                   String clientSecret)

      Create a OAuth2Auth provider for GitLab. This method allows to specify custom GitLab domain.
      Parameters:
        `site` - root URL for the provider without trailing slashes, eg. https://gitlab.com
        `clientId` - the client id given to you by GitLab
        `clientSecret` - the client secret given to you by GitLab

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   String site,
                                   String clientId,
                                   String clientSecret,
                                   HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for GitLab.
      Parameters:
        `site` - root URL for the provider without trailing slashes, eg. https://gitlab.com
        `clientId` - the client id given to you by GitLab
        `clientSecret` - the client secret given to you by GitLab
        `httpClientOptions` - custom http client options

Copyright © 2023 Eclipse. All rights reserved.